[SA18273] VEGO Web Forum "theme_id" SQL Injection Vulnerability

2006-01-03T00:00:00
ID SECURITYVULNS:DOC:10870
Type securityvulns
Reporter Securityvulns
Modified 2006-01-03T00:00:00

Description

TITLE: VEGO Web Forum "theme_id" SQL Injection Vulnerability

SECUNIA ADVISORY ID: SA18273

VERIFY ADVISORY: http://secunia.com/advisories/18273/

CRITICAL: Moderately critical

IMPACT: Manipulation of data

WHERE: >From remote

SOFTWARE: VEGO Web Forum 1.x http://secunia.com/product/6722/

DESCRIPTION: Aliaksandr Hartsuyeu has discovered a vulnerability in VEGO Web Forum, which can be exploited by malicious people to conduct SQL injection attacks.

Input passed to the "theme_id" parameter isn't properly sanitised before being used in a SQL query. This can be exploited to manipulate SQL queries by injecting arbitrary SQL code.

The vulnerability has been confirmed in version 1.26 and has also been reported in prior versions. Other versions may also be affected.

SOLUTION: Edit the source code to ensure that input is properly sanitised.

PROVIDED AND/OR DISCOVERED BY: Aliaksandr Hartsuyeu

ORIGINAL ADVISORY: http://evuln.com/vulns/1/summary.html


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.